from Soti.Connect.SemanticEngine.Conversions import Converter

print("Loading GenericToBixolonMediaSensorType Converter")

class GenericToBixolonMediaSensorType(Converter):

    def Execute(self, args):
        res = ""
        if args[0] == "None":
            res = "Continuous"
        elif args[0] == "Gap":
            res = "Gap"
        elif args[0] == "Mark":
            res = "Mark sensing"
        return res




plugin = GenericToBixolonMediaSensorType("GenericToBixolonMediaSensorType")

store.AddConverter(plugin)